Package org.opensaml.saml.common.binding.artifact

# Class BasicSAMLArtifactMapEntry

java.lang.Object
org.opensaml.saml.common.binding.artifact.BasicSAMLArtifactMapEntry

All Implemented Interfaces:
  `SAMLArtifactMap.SAMLArtifactMapEntry`

Direct Known Subclasses:
  `ExpiringSAMLArtifactMapEntry`

public class BasicSAMLArtifactMapEntry extends Object implements SAMLArtifactMap.SAMLArtifactMapEntry
Basic implementation of `SAMLArtifactMap.SAMLArtifactMapEntry`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`artifact`
SAML artifact being mapped.
`private final String`
`issuer`
EntityID of the issuer of the artifact.
`private final SAMLObject`
`message`
SAML message mapped to the artifact.
`private final String`
`relyingParty`
EntityID of the intended recipient of the artifact.

## Constructor Summary

Constructors
Constructor
Description
`BasicSAMLArtifactMapEntry(String samlArtifact, String issuerId, String relyingPartyId, SAMLObject samlMessage)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getArtifact()`
Gets the artifact that maps to the SAML message.
`String`
`getIssuerId()`
Gets the ID of the issuer of the artifact.
`String`
`getRelyingPartyId()`
Gets the ID of the relying party the artifact was sent to.
`SAMLObject`
`getSamlMessage()`
Gets SAML message the artifact maps to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### artifact

@Nonnull @NotEmpty private final String artifact
SAML artifact being mapped.

### issuer

@Nonnull @NotEmpty private final String issuer
EntityID of the issuer of the artifact.

### relyingParty

@Nonnull @NotEmpty private final String relyingParty
EntityID of the intended recipient of the artifact.

### message

@Nonnull private final SAMLObject message
SAML message mapped to the artifact.

## Constructor Details

### BasicSAMLArtifactMapEntry

public BasicSAMLArtifactMapEntry(@Nonnull @NotEmpty String samlArtifact, @Nonnull @NotEmpty String issuerId, @Nonnull @NotEmpty String relyingPartyId, @Nonnull SAMLObject samlMessage) throws MarshallingException, UnmarshallingException
Constructor.

Parameters:
  `samlArtifact` - artifact associated with the message
  `issuerId` - issuer of the artifact
  `relyingPartyId` - intended recipient of the artifact
  `samlMessage` - SAML message mapped to the artifact
Throws:
  `MarshallingException` - if an error occurs isolating a message from its parent
  `UnmarshallingException` - if an error occurs isolating a message from its parent

## Method Details

### getArtifact

@Nonnull @NotEmpty public String getArtifact()
Gets the artifact that maps to the SAML message.

Specified by:
  `getArtifact` in interface `SAMLArtifactMap.SAMLArtifactMapEntry`
Returns:
  artifact that maps to the SAML message

### getIssuerId

@Nonnull @NotEmpty public String getIssuerId()
Gets the ID of the issuer of the artifact.

Specified by:
  `getIssuerId` in interface `SAMLArtifactMap.SAMLArtifactMapEntry`
Returns:
  ID of the issuer of the artifact

### getRelyingPartyId

@Nonnull @NotEmpty public String getRelyingPartyId()
Gets the ID of the relying party the artifact was sent to.

Specified by:
  `getRelyingPartyId` in interface `SAMLArtifactMap.SAMLArtifactMapEntry`
Returns:
  ID of the relying party the artifact was sent to

### getSamlMessage

@Nonnull public SAMLObject getSamlMessage()
Gets SAML message the artifact maps to.

Specified by:
  `getSamlMessage` in interface `SAMLArtifactMap.SAMLArtifactMapEntry`
Returns:
  SAML message the artifact maps to